#header-wrapper {
    width: 100%;
    z-index: 1000;
    background-color: rgba(var(--bgcolor-components), 0.8);
}

#header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    position: relative;
    padding-top: 1em;
    padding-bottom: 0;
    padding-left: 3%;
    padding-right: 3%;
}

#homelink, #homelink:visited {
    font-family: "FiraSans";
    font-weight: bold;
    color: var(--txtcolor);
    font-size: clamp(1em, 6vw, 3em);
    text-decoration: none;
}

#homelink:hover, #homelink:visited:hover {
    color: var(--link-hovercolor);
}

#links {
    font-size: clamp(0.8em, 1.3vw, 1em);
    justify-content: flex-end;
    display: flex;
}

.pagebutton, .pagebutton:visited {
    background-color: black;
    border: solid white 0.3em;
    border-radius: .7rem;
    padding: clamp(0.3em, 1vw, 0.6em);
    color: var(--txtcolor);
    text-decoration: none;
    margin: 0 .3rem;
}

.pagebutton:hover, .pagebutton:visited:hover { 
    background-color: var(--bgcolor-hover);
    border-color: #aad5ff;
    color: var(--txtcolor);
}

#header-divider {
    width: 95%;
    margin: 0.5em auto 0;
}

#selected-tab {
    border-color: var(--themecolor);
}

